Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
[Java] Class AbstractFactory

    java.lang.Object
      groovy.util.AbstractFactory

All Implemented Interfaces:
  Factory

    public abstract class AbstractFactory
    extends java.lang.Object

Authors:
  Andres Almiray
  Danno Ferrin

Method Summary
`boolean` | `isHandlesNodeChildren()`
`boolean` | `isLeaf()`
`void` | `onFactoryRegistration(FactoryBuilderSupport builder, java.lang.String registeredName, java.lang.String group)`
`boolean` | `onHandleNodeAttributes(FactoryBuilderSupport builder, java.lang.Object node, java.util.Map attributes)`
`boolean` | `onNodeChildren(FactoryBuilderSupport builder, java.lang.Object node, Closure childContent)`
`void` | `onNodeCompleted(FactoryBuilderSupport builder, java.lang.Object parent, java.lang.Object node)`
`void` | `setChild(FactoryBuilderSupport builder, java.lang.Object parent, java.lang.Object child)`
`void` | `setParent(FactoryBuilderSupport builder, java.lang.Object parent, java.lang.Object child)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### isHandlesNodeChildren

    public boolean isHandlesNodeChildren()

### isLeaf

    public boolean isLeaf()

### onFactoryRegistration

    public void onFactoryRegistration(FactoryBuilderSupport builder, java.lang.String registeredName, java.lang.String group)

### onHandleNodeAttributes

    public boolean onHandleNodeAttributes(FactoryBuilderSupport builder, java.lang.Object node, java.util.Map attributes)

### onNodeChildren

    public boolean onNodeChildren(FactoryBuilderSupport builder, java.lang.Object node, Closure childContent)

### onNodeCompleted

    public void onNodeCompleted(FactoryBuilderSupport builder, java.lang.Object parent, java.lang.Object node)

### setChild

    public void setChild(FactoryBuilderSupport builder, java.lang.Object parent, java.lang.Object child)

### setParent

    public void setParent(FactoryBuilderSupport builder, java.lang.Object parent, java.lang.Object child)

Groovy Documentation